cascading.management.annotation

## Annotation Type Property

-     @Retention(value=RUNTIME)
      @Target(value={METHOD,FIELD})
      public @interface Property

  Property annotations can be used to send additional information about certain aspects of Cascading classes to the `DocumentService`. The properties are present at runtime and allow a DocumentService to inspect, process or persist them.

  Property annotations can be applied to `Tap`s, `Scheme`s, and any `Operation` sub-classes (like Function or Aggregator).

  Property annotations can be applied to any method or field members, so that they can be accessed via java.lang.Class#getMethods() and java.lang.Class.getFields() respectively. If the member is protected/private, there will be an attempt to bypass the protected/private scope to retrieve the value.

  By default the `Visibility` is `Visibility.PUBLIC`, and optionality is `true`.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `name` The display name for the property value.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `optional` Whether the field name and null should be displayed if the value is `null`.
    `Visibility` | `visibility` The display visibility, see `Visibility`.

- - ### Element Detail

    - #### name

          public abstract java.lang.String name

      The display name for the property value. Does not need to match the bean property or field name.
      Returns:
        the display name

    - #### visibility

          public abstract Visibility visibility

      The display visibility, see `Visibility`.
      Returns:
        the display visibility
      Default:
        cascading.management.annotation.Visibility.PUBLIC

    - #### optional

          public abstract boolean optional

      Whether the field name and null should be displayed if the value is `null`.

      When `true`, no data (field name, visibility, and the `null` value are sent to the display. The property is ignored.
      Returns:
        whether the field should be displayed if `null`
      Default:
        true

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.